MyGUI: MyGUI::xml::Document Class Reference

MyGUI 3.4.3

Public Member Functions
MyGUI::xml::Document Class Reference

`#include <MyGUI_XmlDocument.h>`

## Public Member Functions
bool | open (const std::string &_filename)
bool | open (const std::wstring &_filename)
bool | open (std::istream &_stream)
bool | open (const UString &_filename)
bool | open (IDataStream *_stream)
bool | save (const std::string &_filename)
bool | save (const std::wstring &_filename)
bool | save (std::ostream &_stream)
bool | save (const UString &_filename)
void | clear ()
std::string | getLastError () const
void | clearLastError ()
ElementPtr | createDeclaration (std::string_view _version="1.0", std::string_view _encoding="UTF-8")
ElementPtr | createRoot (std::string_view _name)
ElementPtr | getRoot () const
ElementPtr | createInfo (std::string_view _version="1.0", std::string_view _encoding="UTF-8")

## Detailed Description

Definition at line 297 of file MyGUI_XmlDocument.h.

## Member Function Documentation

## ◆ clear()

void MyGUI::xml::Document::clear | ( |  | ) |

Definition at line 542 of file MyGUI_XmlDocument.cpp.

## ◆ clearLastError()

void MyGUI::xml::Document::clearLastError | ( |  | ) |

Definition at line 916 of file MyGUI_XmlDocument.cpp.

## ◆ createDeclaration()

ElementPtr MyGUI::xml::Document::createDeclaration | ( | std::string_view | _version = "1.0",
|  | std::string_view | _encoding = "UTF-8" )

Definition at line 818 of file MyGUI_XmlDocument.cpp.

## ◆ createInfo()

ElementPtr MyGUI::xml::Document::createInfo | ( | std::string_view | _version = "1.0",
|  | std::string_view | _encoding = "UTF-8" )
| inline

Deprecated
  "use : ElementPtr Document::createDeclaration(std::string_view _version, std::string_view _encoding)"

Definition at line 339 of file MyGUI_XmlDocument.h.

## ◆ createRoot()

ElementPtr MyGUI::xml::Document::createRoot | ( | std::string_view | _name | ) |

Definition at line 827 of file MyGUI_XmlDocument.cpp.

## ◆ getLastError()

std::string MyGUI::xml::Document::getLastError | ( |  | ) | const

Definition at line 890 of file MyGUI_XmlDocument.cpp.

## ◆ getRoot()

ElementPtr MyGUI::xml::Document::getRoot | ( |  | ) | const

Definition at line 921 of file MyGUI_XmlDocument.cpp.

## ◆ open() [1/5]

bool MyGUI::xml::Document::open | ( | const std::string & | _filename | ) |

Definition at line 383 of file MyGUI_XmlDocument.cpp.

## ◆ open() [2/5]

bool MyGUI::xml::Document::open | ( | const std::wstring & | _filename | ) |

Definition at line 402 of file MyGUI_XmlDocument.cpp.

## ◆ open() [3/5]

bool MyGUI::xml::Document::open | ( | const UString & | _filename | ) |

Definition at line 906 of file MyGUI_XmlDocument.cpp.

## ◆ open() [4/5]

bool MyGUI::xml::Document::open | ( | IDataStream * | _stream | ) |

Definition at line 478 of file MyGUI_XmlDocument.cpp.

## ◆ open() [5/5]

bool MyGUI::xml::Document::open | ( | std::istream & | _stream | ) |

Definition at line 420 of file MyGUI_XmlDocument.cpp.

## ◆ save() [1/4]

bool MyGUI::xml::Document::save | ( | const std::string & | _filename | ) |

Definition at line 430 of file MyGUI_XmlDocument.cpp.

## ◆ save() [2/4]

bool MyGUI::xml::Document::save | ( | const std::wstring & | _filename | ) |

Definition at line 454 of file MyGUI_XmlDocument.cpp.

## ◆ save() [3/4]

bool MyGUI::xml::Document::save | ( | const UString & | _filename | ) |

Definition at line 911 of file MyGUI_XmlDocument.cpp.

## ◆ save() [4/4]

bool MyGUI::xml::Document::save | ( | std::ostream & | _stream | ) |

Definition at line 522 of file MyGUI_XmlDocument.cpp.

The documentation for this class was generated from the following files:

- MyGUI_XmlDocument.h
- MyGUI_XmlDocument.cpp